Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166104 - xml schema docs still in standard distro
xml schema docs still in standard distro
Status: RESOLVED FIXED
Product: usersguide
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Irina Filippova
issues@usersguide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 13:11 UTC by John Jullion-ceccarelli
Modified: 2009-06-03 07:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Jullion-ceccarelli 2009-05-27 13:11:58 UTC
The XML Schema documentation is in the standard distribution but this functionality is in the SOA pack and removed from
the main builds.
Comment 1 Marian Mirilovic 2009-05-27 15:34:16 UTC
not a stopper for RC 1, but stopper for RC2/FCS
Comment 2 Irina Filippova 2009-05-27 16:17:40 UTC
XML Schema docs will be removed from OLH starting June 1
Comment 3 John Jullion-ceccarelli 2009-05-27 16:37:11 UTC
So Marian, the process here is to fix it in the Trunk and have it ready for merging to the 67 clone once RC1 goes out?
If so, Irina please prepare the fix in the trunk.
Comment 4 Marian Mirilovic 2009-05-27 17:07:45 UTC
2john: exactly
Comment 5 Marian Mirilovic 2009-06-01 11:30:45 UTC
Ok, this issue is considered as a stopper for RC2/FCS. Proceed with bugfix into release67 ASAP, thanks in advance.
Comment 6 Irina Filippova 2009-06-01 13:01:24 UTC
Marian, just to confirm once again.

I should be committing changes both to release67 and trunk?
Comment 7 Marian Mirilovic 2009-06-01 13:49:27 UTC
yes, both.
Comment 8 Irina Filippova 2009-06-03 06:03:34 UTC
Fixed both in main and release67.
Changesets: http://hg.netbeans.org/main/rev/68c8cb6f8420 and http://hg.netbeans.org/release67/rev/ba8c23221dc5

Comments to the fix: there were a few topics that mentioned creating and working with XML Schema docs. As the
functionality was removed, this information was taken out.

In org.netbeans.modules.usersguide, the following topics have been modified to reflect changes in the XML Schema
functionality:
xml/xml_about.html - removed XML Schema from the list of supported XML files
xml/xml_overview.html - removed link to creating new XML Schema docs
xml/xml_quickref.html - from the Quick reference table removed the item about Creating an XML Schema
xml/xml_validate.html - removed link to the topic Working with XML Schema files
schema/schemas.html - removed this topic and folder

The remaining files in OLH that mention XML Schema reflect the existing functionality (support for creating XML Schema
constrained docs, support for XML Catalogs, web services functionality related to XML schema, such as JAXB Wizard)

Closing as fixed.



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo